#
# spec file for package golang-org-x-sys
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-org-x-sys
Version:        0.0.0+git20150612.b4e2899
Release:        1.1
Summary:        Go packages for low-level interaction with the operating system
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/golang/sys
Source:	        sys-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:	go-sys = %{version}
Obsoletes:	go-sys < %{version}
%{go_provides}

%description
This repository holds supplemental Go packages for low-level 
interactions with the operating system.

%gosrc_package

%prep
%setup -q -n sys-%{version}

%build
%goprep golang.org/x/sys
%gobuild ...

%install
%goinstall
%gosrc

%check
%gotest golang.org/x/sys

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS LICENSE PATENTS README
%{go_contribdir}/*

%files source
%defattr(-,root,root)
%{go_contribsrcdir}/*

%changelog
* Sun Jul 12 2015 i@marguerite.su
- rename to golang-org-x-sys
- update version 0.0.0+git20150612.b4e2899
- use golang-packaging for packaging
* Mon Mar 23 2015 i@marguerite.su
- initial version 0.0.0+git20150320.8642817
